Subject: [netmod] 6991bis: domain-name

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 29 Mar 2019 11:20:13 +0100

Hi,

as a follow-up to my comment during the NETMOD session, I want to propose the
following update to the the inet:domain-name type. The aim is to include use
cases that are currently rejected:

- classless in-addr.arpa delegations [RFC 2317], i.e. labels like "128/26"

- wildcards [RFC 4592], e.g. "*.example.net"

OLD

    pattern
      '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*'
    + '([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)'
    + '|\.';

NEW

    pattern
      '((\*\.)?(([a-zA-Z0-9_]([a-zA-Z0-9\-/_]){0,61})?[a-zA-Z0-9]\.)*'
    + '([a-zA-Z0-9_]([a-zA-Z0-9\-/_]){0,61})?[a-zA-Z0-9]\.?)'
    + '|\.';

Lada

-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Fri, 29 Mar 2019 11:15:41 +0000

Hi Lada,

For a domain name that supports wildcard, I wonder whether that wouldn't be better as a separate type.  I can imagine that in a lot of places a wildcard domain name isn't appropriate.

Thanks,
Rob

> -----Original Message-----
> From: netmod <[email-masked]> On Behalf Of Ladislav Lhotka
> Sent: 29 March 2019 10:20
> To: NETMOD WG <[email-masked]>
> Subject: [netmod] 6991bis: domain-name
> 
> Hi,
> 
> as a follow-up to my comment during the NETMOD session, I want to propose
> the following update to the the inet:domain-name type. The aim is to include
> use cases that are currently rejected:
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 29 Mar 2019 12:43:05 +0100

Rob Wilton (rwilton) píše v Pá 29. 03. 2019 v 11:15 +0000:
> Hi Lada,
> 
> For a domain name that supports wildcard, I wonder whether that wouldn't be
> better as a separate type.  I can imagine that in a lot of places a wildcard
> domain name isn't appropriate.

But the description says:

It is designed to hold various types of domain names, including names used for A
or AAAA records (host names) and other records, such as SRV records.

And in DNS resource records, wilcard names are possible.

It is true that wildcards are not permitted in host names and such, but then the
"inet:host" type should not have domain-name as its member type. Even with the
existing version the "host" type permits "." which is not good either.

The "inet:host" type should IMO adhere to a stricter syntax of RFC 952. I will
send another message to address this.

Lada